cvpnssn.vo

## Class AnomaliaNSSN

- java.lang.Object
- - cvpnssn.vo.AnomaliaNSSN

-     public class AnomaliaNSSN
      extends java.lang.Object

  Contiene i dati di dettaglio di un'anomalia prodotta da prescrizioni NSSN

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `codEsito` Codice esito
    `private java.lang.String` | `descrizione` Descrizione dell'errore
    `private java.lang.String` | `identificativoProdPrest` Progressivo prescrizione.
    `private java.lang.String` | `tipoErrore` Indica la gravità dell’errore: Bloccante, che non fa inserire la ricetta negli archivi del SAC Avviso, ossia indicazione di dato non corretto, ma che non causa scarto

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnomaliaNSSN()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodEsito()`
    `java.lang.String` | `getDescrizione()`
    `java.lang.String` | `getIdentificativoProdPrest()`
    `java.lang.String` | `getTipoErrore()`
    `void` | `setCodEsito(java.lang.String codEsito)`
    `void` | `setDescrizione(java.lang.String descrizione)`
    `void` | `setIdentificativoProdPrest(java.lang.String identificativoProdPrest)`
    `void` | `setTipoErrore(java.lang.String tipoErrore)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codEsito

          private java.lang.String codEsito

      Codice esito

    - #### descrizione

          private java.lang.String descrizione

      Descrizione dell'errore

    - #### identificativoProdPrest

          private java.lang.String identificativoProdPrest

      Progressivo prescrizione. Valori:
      - 0= il codice esito vale per tutta la ricetta
      - >0= indica la prescrizione a cui si fa riferimento, secondo l’ordine in cui era stata inviata

    - #### tipoErrore

          private java.lang.String tipoErrore

      Indica la gravità dell’errore:
      - Bloccante, che non fa inserire la ricetta negli archivi del SAC
      - Avviso, ossia indicazione di dato non corretto, ma che non causa scarto

  - ### Constructor Detail

    - #### AnomaliaNSSN

          public AnomaliaNSSN()

  - ### Method Detail

    - #### getCodEsito

          public java.lang.String getCodEsito()

    - #### setCodEsito

          public void setCodEsito(java.lang.String codEsito)

    - #### getDescrizione

          public java.lang.String getDescrizione()

    - #### setDescrizione

          public void setDescrizione(java.lang.String descrizione)

    - #### getIdentificativoProdPrest

          public java.lang.String getIdentificativoProdPrest()

    - #### setIdentificativoProdPrest

          public void setIdentificativoProdPrest(java.lang.String identificativoProdPrest)

    - #### getTipoErrore

          public java.lang.String getTipoErrore()

    - #### setTipoErrore

          public void setTipoErrore(java.lang.String tipoErrore)